URL:
https://<notebookserveradmin>/notebooks/secrets/delete
Methods:
POST
Required Capability:
Administrator or Create and Edit
Version Introduced:
12.1

Description

The Delete Secret operation permanently removes a notebook secret. After a secret is deleted, notebooks can no longer access it using the get_secret method in the ArcGIS API for Python. Use this operation when a secret is no longer needed or when sensitive information should be removed from the secret store.

The ArcGIS Notebooks editor provides a user interface for deleting a notebook secret and is the recommended method for deleting secrets.

Request parameters

ParameterDetails

secretName

(Required)

The name of the secret to delete.

f

(Optional)

The response format. The default response format is html .

Values: html | json | pjson

Example usage

Use dark colors for code blocksCopy
1
2
3
POST /notebookserver/admin/notebooks/secrets/delete HTTP/1.1
Host: notebookserver.example.com
secretName=weatherApiKey&f=json&token=<ACCESS_TOKEN>

JSON Response syntax

Use dark colors for code blocksCopy
1
{"status": "success"|"failure"}

JSON Response example

Use dark colors for code blocksCopy
1
{"status": "success"}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.